- Qt 5.15
- Qt GUI
- C++ Classes
- QPixmapCache
- Qt 5.15.19 Reference Documentation

# Obsolete Members for QPixmapCache

The following members of class QPixmapCache are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Static Public Members

`(obsolete)` bool | find(const QString &key, QPixmap &pixmap)
`(obsolete)` QPixmap * | find(const QString &key)

## Member Function Documentation

### `[static]` bool QPixmapCache::find(const QString &key, QPixmap &pixmap)

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Use bool find(const QString &, QPixmap *) instead.

### `[static]` QPixmap *QPixmapCache::find(const QString &key)

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

This is an overloaded function.

Use bool find(const QString &, QPixmap *) instead.

Returns the pixmap associated with the key in the cache, or null if there is no such pixmap.

Warning: If valid, you should copy the pixmap immediately (this is fast). Subsequent insertions into the cache could cause the pointer to become invalid. For this reason, we recommend you use bool find(const QString&, QPixmap*) instead.

Example:

     QPixmap p;
     if (QPixmap *pp = QPixmapCache::find("my_big_image"))) {
         p = *pp;
     } else {
         p.load("bigimage.png");
         QPixmapCache::insert("my_big_image", new QPixmap(p));
     }
     painter->drawPixmap(0, 0, p);